Database Requirements

Accelerator supports the following databases:

  • MySQL 5.5.16

  • MariaDB 5.5.31 (Windows), 19.1.38 (Linux)

  • Oracle Database 11g Release 2

  • Oracle Database 12c

  • MS SQL Server 2008

If you plan to use an Oracle or MS SQL database, you must create it before installing Accelerator.

Oracle JDBC Connectors for the MySQL or Oracle Databases on the Cluster Manager

CloudBees does not distribute the JDBC drivers for MySQL or Oracle databases. If you use either database, the appropriate driver must be present in the <InstallDir>/<arch>/lib/ directory on the Cluster Manager. After installing the Cluster Manager, you must download its driver directly from the Oracle website, copy it to that directory on the Cluster Manager server, and restart the Cluster Manager service. For details, see the “ Installing JDBC Drivers for MySQL or Oracle Databases ” section in the CloudBees Accelerator Installation Guide.

Requirements for MariaDB on Linux

If you want to run MariaDB on a Linux Cluster Manager, it must have the libncurses.so.5 library. You might need to add this library to the Cluster Manager machine.

Ubuntu example using a package manager:

apt-get install libation

Location Limitations

CloudBees does not support storing your database on Network Appliance systems or NFS.

Issues that you might encounter include the following:

  • Accelerator is unable to start the database because the database attempts to lock files that are already locked.

  • If the database starts, you might encounter issues related to the database’s UTF-8 support.